Xapian: API Documentation: xapian-core: Xapian::StringValueRangeProcessor Class Reference

# Xapian::StringValueRangeProcessor Class Reference

Handle a string range. More...

Inheritance diagram for Xapian::StringValueRangeProcessor:

[legend]

List of all members.

## Public Member Functions
| StringValueRangeProcessor (Xapian::valueno slot_)
| Constructor.
| StringValueRangeProcessor (Xapian::valueno slot_, const std::string &str_, bool prefix_=true)
| Constructor.
Xapian::valueno | operator() (std::string &begin, std::string &end)
| Check for a valid string range.

## Detailed Description

Handle a string range.

The end points can be any strings.

## Constructor & Destructor Documentation

Xapian::StringValueRangeProcessor::StringValueRangeProcessor | ( | Xapian::valueno | slot_ | ) | `[inline]`

Constructor.

Parameters:

  | slot_ | The value number to return from operator().

Xapian::StringValueRangeProcessor::StringValueRangeProcessor | ( | Xapian::valueno | slot_,
|  | const std::string & | str_,
|  | bool | prefix_ = `true` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | slot_ | The value number to return from operator().
  | str_ | A string to look for to recognise values as belonging to this range.
  | prefix_ | Flag specifying whether to check for str_ as a prefix or a suffix.

## Member Function Documentation

Xapian::valueno Xapian::StringValueRangeProcessor::operator() | ( | std::string & | begin,
|  | std::string & | end |
| ) |  |  | `[virtual]`

Check for a valid string range.

Parameters:

  `[in,out]` | begin | The start of the range as specified in the query string by the user. This parameter is a non-const reference so the ValueRangeProcessor can modify it to return the value to start the range with.
  `[in,out]` | end | The end of the range. This is also a non-const reference so it can be modified.

Returns:
  A StringValueRangeProcessor always accepts a range it is offered, and returns the value of slot_ passed at construction time. It doesn't modify begin or end.

Implements Xapian::ValueRangeProcessor.

Reimplemented in Xapian::DateValueRangeProcessor, and Xapian::NumberValueRangeProcessor.

The documentation for this class was generated from the following file:

- xapian/queryparser.h